This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 11845 - xbl is setgid root and has numerous buffer overflows
xbl is setgid root and has numerous buffer overflows
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: xbl (Show other bugs)
1.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Ngo Than
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-02 01:42 EDT by SB
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-02 01:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SB 2000-06-02 01:42:27 EDT
Dunno if it was inentional or not but xbl package currently in rawhide has 
xbl running sgid root, i.e.:
[root@king may26]# ls -al /usr/X11R6/bin/xbl
-rwxr-sr-x    1 root     root       108388 May 21 07:44 /usr/X11R6/bin/xbl

This is VERY unsafe because xbl has numerous unchecked buffers, for example 
the XBLOPTIONS environmental variable is appended to a fixed size buffer 
using strcat and no bounds checking resulting in elevated privilages.  
executing xbl -display with a large display name causes xbl to segfault 
probable overflow there.  xbl -font and -bigfont both segfault with large 
buffers and are potentially exploitable.  These are just some I noticed 
after finding the initial problem, and I'm pretty sure there are more.  I 
know this program was not setgid root in RedHat Linux 5.2, and IMHO it is 
unsafe to have it sgid root in its present condition.

-Stan Bubrouski
Comment 1 Ngo Than 2000-06-02 08:23:33 EDT
thank for your report. i have fixed this problem.

Note You need to log in before you can comment on or make changes to this bug.